### Function

# GLib unichar_ispunct

#### Declaration [src]

    gboolean
    g_unichar_ispunct (
      gunichar c
    )

#### Description [src]

Determines whether a character is punctuation or a symbol. Given some UTF-8 text, obtain a character value with g_utf8_get_char().

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gboolean`

`TRUE` if `c` is a punctuation or symbol character.